#!/bin/zsh

# Copyright 2014 Paul Hänsch
#
# This file is part of Serve0.
# 
# Serve0 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Serve0 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Serve0.  If not, see <http://www.gnu.org/licenses/>. 

ACTION="$(echo "$_GET[\"action\"]" |egrep '^[a-zA-Z0-9_-]+$')"
ACTION="${_EXEC}/actions/${ACTION}.sh"

if [ -x "$ACTION" ]; then
  debug "trying to execute $ACTION"
  . $ACTION
else
  debug "unable to execute $ACTION"
  echo -n "Location: ?p=error\n\n"
fi

